Query Information of Multiple IVRs
Query the detailed information of multiple IVRs at the same time.
Request URL
GET {base_url}/{api_path}/ivr/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | String | The unique ID of the IVR(s).Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object <IVR_DetailInfo> | Detailed information of each IVR. |
IVR_DetailInfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the IVR. |
| number | String | IVR number. |
| name | String | IVR name. |
| prompt | String | The name of the IVR prompt. |
| prompt_repeat | Integer | The maximum number of times the IVR prompt will be repeated. |
| resp_timeout | Integer | The timeout duration for callers to input keys after playing the IVR prompt (Unit: Second). Note: If no input is received after the timeout, the system will repeat the IVR prompt until the maximum number of times is reached. If there is still no input after the timeout, the call will be forwarded to the Timeout Destination. |
| digit_timeout | Integer | The timeout duration between the caller inputting a key and the next key (Unit: Second). |
| dial_ext_option | String | Whether to allow callers to dial extensions via IVR.
|
| enb_dial_outb_routes | Integer | Whether to allow callers to use outbound routes to make outbound calls from the IVR.
|
| enb_dial_check_vm | Integer | Whether to allow callers to check voicemail via IVR.
|
| pressX_dest | String | The destination type of key X. Note: X refers to a specific number between 0 and 9.
|
| pressX_dest_prefix | String | This parameter returns different values depending on the destination type of key X (pressX_dest). Note: X refers to a specific number between 0 and 9.
|
| pressX_dest_value | String | The destination of key X. This parameter returns different values depending on the destination type of key X (pressX_dest). Note: X refers to a specific number between 0 and 9.
|
| allow_out_recordX | Integer | After a call has been routed to the destination of key X, stop recording the call. Note: X refers to a specific number between 0 and 9.
|
| press_hash_dest | String | The destination type of key #.
|
| press_hash_dest_prefix | String | This parameter returns different values depending on the destination type of key #.
|
| press_hash_dest_value | String | The destination of key #. This parameter returns different values depending on the destination type of key #.
|
| allow_out_record_hash | Integer | After a call has been routed to the destination of key #, stop recording the call.
|
| press_star_dest | String | The destination type of key *.
|
| press_star_dest_prefix | String | This parameter returns different values depending on the destination type of key *.
|
| press_star_dest_value | String | The destination of key *. This parameter returns different values depending on the destination type of key *.
|
| allow_out_record_star | Integer | After a call has been routed to the destination of key *, stop recording the call.
|
| timeout_dest | String | The destination type of Response Timeout.Note:Response Timeout occurs when the system has played the prompt repeatedly for the maximum number of times, but the caller has not taken any action within the specified time.
|
| timeout_dest_prefix | String | This parameter returns different values depending on the destination type of Response Timeout.
|
| timeout_dest_value | String | The destination of Response Timeout. This parameter returns different values depending on the destination type of Response Timeout.
|
| allow_out_record_timeout | Integer | After a call has been routed to the destination of Response Timeout, stop recording the call.
|
| invalid_dest | String | The destination type of invalid input.
|
| invalid_dest_prefix | String | This parameter returns different values depending on the destination type of invalid input.
|
| invalid_dest_value | String | The destination of invalid input. This parameter returns different values depending on the destination type of invalid input.
|
| allow_out_record_invalid | Integer | After a call has been routed to the destination of invalid input, stop recording the call.
|
| dial_ext_list | Array <Allow_Ext_List> | Extensions or extension groups that callers are allowed to call via the IVR. |
| restrict_dial_ext_list | Array <Restrict_Ext_List> | Extensions or extension groups that callers are prohibited from calling via the IVR. |
| enb_dial_call_number | Integer | Whether callers are allowed to directly dial ring group, queue, and conference room numbers via the IVR.
|
| dial_call_number_list | Array <Allow_Call_Number_List> | The ring group, queue, and conference room numbers that callers are allowed to call via the IVR. |
| dial_outb_route_list | Array <Allow_Route_List> | The outbound route that callers are allowed to use via the IVR. |
| alert_info | String | The "Alert-info" Header in the INVITE request to trigger the IP phone to play distinctive ringtones when receiving an incoming call from this IVR. |
| prompt_manger_enb | Integer | Whether to allow users to dial the feature code #9 to modify the IVR prompt.
|
| prompt_manger_password | String | The password for modifying IVR prompts. |
| client_unique_ringtone | String | The distinctive ringtone that will be played on extension users' Simu Connect clients when they receive calls from this IVR. |
Allow_Ext_List
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the extension / extension group / organization that callers are allowed to call. |
| text2 | String | The number of the extension, or the name of extension group / organization that callers are allowed to call. |
| value | String | The ID of the extension / extension group / organization that callers are allowed to call. |
| type | String | The type of the object that callers are allowed to call.
|
Restrict_Ext_List
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the extension / extension group / organization that callers are prohibited from calling. |
| text2 | String | The number of the extension, or the name of extension group / organization that callers are prohibited from calling. |
| value | String | The ID of the extension / extension group / organization that callers are prohibited from calling. |
| type | String | The type of the object that callers are prohibited from calling.
|
Allow_Call_Number_List
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the ring group / queue / conference that callers are allowed to call via the IVR. |
| text2 | String | The number of the ring group / queue / conference that callers are allowed to call via the IVR. |
| value | String | The ID of the ring group / queue / conference that callers are allowed to call via the IVR. |
| type | String | The type of the object that callers are allowed to call via the IVR.
|
Allow_Route_List
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the outbound route that callers are allowed to use. |
| value | String | The ID of the outbound route that callers are allowed to use. |
Examples
Request example
Query the detailed information of 2 IVRs (ID: 1 & 4) at the same time.
GET /openapi/v1.0/ivr/query?access_token=XKvESnkcM3tZMjP7ZdmhUsnAvZ7vdzD6&ids=1,4 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"id": 1,
"number": "6200",
"name": "6200",
"prompt": "welcome.wav,keypress.wav,default",
"prompt_repeat": 3,
"resp_timeout": 3,
"digit_timeout": 10,
"dial_ext_option": "disable",
"enb_dial_outb_routes": 0,
"enb_dial_check_vm": 0,
"press0_dest": "",
"press0_dest_prefix": "",
"press0_dest_value": "",
"allow_out_record0": 0,
"press1_dest": "",
"press1_dest_prefix": "",
"press1_dest_value": "",
"allow_out_record1": 0,
"press2_dest": "",
"press2_dest_prefix": "",
"press2_dest_value": "",
"allow_out_record2": 0,
"press3_dest": "",
"press3_dest_prefix": "",
"press3_dest_value": "",
"allow_out_record3": 0,
"press4_dest": "",
"press4_dest_prefix": "",
"press4_dest_value": "",
"allow_out_record4": 0,
"press5_dest": "",
"press5_dest_prefix": "",
"press5_dest_value": "",
"allow_out_record5": 0,
"press6_dest": "",
"press6_dest_prefix": "",
"press6_dest_value": "",
"allow_out_record6": 0,
"press7_dest": "",
"press7_dest_prefix": "",
"press7_dest_value": "",
"allow_out_record7": 0,
"press8_dest": "",
"press8_dest_prefix": "",
"press8_dest_value": "",
"allow_out_record8": 0,
"press9_dest": "",
"press9_dest_prefix": "",
"press9_dest_value": "",
"allow_out_record9": 0,
"press_hash_dest": "",
"press_hash_dest_prefix": "",
"press_hash_dest_value": "",
"allow_out_record_hash": 0,
"press_star_dest": "",
"press_star_dest_prefix": "",
"press_star_dest_value": "",
"allow_out_record_star": 0,
"timeout_dest": "",
"timeout_dest_prefix": "",
"timeout_dest_value": "",
"allow_out_record_timeout": 0,
"invalid_dest": "play_prompt",
"invalid_dest_prefix": "1",
"invalid_dest_value": "welcome.wav",
"allow_out_record_invalid": 0,
"alert_info": "",
"prompt_manger_enb": 0,
"prompt_manger_password": "****",
"enb_dial_call_number": 1,
"dial_call_number_list": [
{
"text": "6500",
"text2": "6500",
"value": "1",
"type": "conference"
},
{
"text": "ringback-tone-test-RG",
"text2": "6300",
"value": "1",
"type": "ring_group"
},
{
"text": "Support",
"text2": "6401",
"value": "1",
"type": "queue"
}
],
"client_unique_ringtone": "Ring8.mp3"
},
{
"id": 4,
"number": "6201",
"name": "6201",
"prompt": "welcome.wav,keypress.wav",
"prompt_repeat": 1,
"resp_timeout": 3,
"digit_timeout": 3,
"dial_ext_option": "disable",
"enb_dial_outb_routes": 0,
"enb_dial_check_vm": 0,
"press0_dest": "",
"press0_dest_prefix": "",
"press0_dest_value": "",
"allow_out_record0": 0,
"press1_dest": "",
"press1_dest_prefix": "",
"press1_dest_value": "",
"allow_out_record1": 0,
"press2_dest": "",
"press2_dest_prefix": "",
"press2_dest_value": "",
"allow_out_record2": 0,
"press3_dest": "",
"press3_dest_prefix": "",
"press3_dest_value": "",
"allow_out_record3": 0,
"press4_dest": "",
"press4_dest_prefix": "",
"press4_dest_value": "",
"allow_out_record4": 0,
"press5_dest": "",
"press5_dest_prefix": "",
"press5_dest_value": "",
"allow_out_record5": 0,
"press6_dest": "",
"press6_dest_prefix": "",
"press6_dest_value": "",
"allow_out_record6": 0,
"press7_dest": "",
"press7_dest_prefix": "",
"press7_dest_value": "",
"allow_out_record7": 0,
"press8_dest": "",
"press8_dest_prefix": "",
"press8_dest_value": "",
"allow_out_record8": 0,
"press9_dest": "",
"press9_dest_prefix": "",
"press9_dest_value": "",
"allow_out_record9": 0,
"press_hash_dest": "",
"press_hash_dest_prefix": "",
"press_hash_dest_value": "",
"allow_out_record_hash": 0,
"press_star_dest": "",
"press_star_dest_prefix": "",
"press_star_dest_value": "",
"allow_out_record_star": 0,
"timeout_dest": "ext_vm",
"timeout_dest_prefix": "",
"timeout_dest_value": "23",
"allow_out_record_timeout": 0,
"invalid_dest": "end_call",
"invalid_dest_prefix": "",
"invalid_dest_value": "",
"allow_out_record_invalid": 0,
"alert_info": "",
"prompt_manger_enb": 0,
"prompt_manger_password": "****",
"enb_dial_call_number": 1,
"dial_call_number_list": [
{
"text": "ringback-tone-test-RG",
"text2": "6300",
"value": "1",
"type": "ring_group"
}
],
"client_unique_ringtone": "example-1.wav"
}
]
}